# Unit uCEFRequestContext

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

This item has no description.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---

Class `TCefRequestContextRef`

A request context provides request handling for a set of related browser or URL request objects. A request context can be specified when creating a new browser via the cef_browser_host_t static factory functions or when creating a new URL request via the cef_urlrequest_t static factory functions. Browser objects with different request contexts will never be hosted in the same render process. Browser objects with the same request context may or may not be hosted in the same render process depending on the process model. Browser objects created indirectly via the JavaScript window.open function or targeted links will share the same render process and the same request context as the source browser. When running in single-process mode there is only a single render process (the main process) and so all browsers created in single-process mode will share the same request context. This will be the first request context passed into a cef_browser_host_t static factory function and all other request context objects will be ignored.

Class `TCefClearCertificateExceptionsCompletionCallback` |
Class `TCefClearHttpAuthCredentialsCompletionCallback` |
Class `TCefCloseAllConnectionsCompletionCallback` |
Class `TCefClearHttpCacheCompletionCallback` |

Generated by PasDoc 0.17.0.snapshot.